Skip to main content
`Ctrl`+`K`

# PCMGGetInterpolation

Gets the function to be used to calculate the interpolation from l-1 to the lth level

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetInterpolation(PC pc, PetscInt l, Mat *mat)

Logically Collective

## Input Parameters

- pc - the multigrid context

- l - the level (0 is coarsest) to supply [Do not supply 0]

## Output Parameter

- mat - the interpolation matrix, can be `NULL`

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGGetRestriction()`, `PCMGSetInterpolation()`, `PCMGGetRScale()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mgfunc.c

## Examples

src/ksp/ksp/tutorials/ex56.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages